%define	upstream_name    User-Identity
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} CPAN Perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/User-Identity
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MARKOV/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This is the User Identity CPAN Perl module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Mail/*
%{perl_vendorlib}/User/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.10.0-2.mga9
+ Revision: 1816071
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1.10.0-1.mga9
+ Revision: 1773272
- update to 1.01

* Thu Oct 15 2020 tv <tv> 1.0.0-1.mga8
+ Revision: 1636174
- update to 1.00

* Wed Feb 12 2020 umeabot <umeabot> 0.990.0-3.mga8
+ Revision: 1506912
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.990.0-2.mga7
+ Revision: 1287152
- Mageia 7 Mass Rebuild

* Wed Jan 24 2018 tv <tv> 0.990.0-1.mga7
+ Revision: 1196780
- update to 0.99

* Sat Nov 11 2017 tv <tv> 0.980.0-1.mga7
+ Revision: 1176892
- update to 0.98

* Tue Oct 03 2017 tv <tv> 0.970.0-2.mga7
+ Revision: 1167257
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.970.0-1.mga7
+ Revision: 1157467
- update to 0.97

* Sun Jun 19 2016 pterjan <pterjan> 0.940.0-5.mga6
+ Revision: 1035667
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.940.0-4.mga6
+ Revision: 935222
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.940.0-3.mga5
+ Revision: 747215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.940.0-2.mga5
+ Revision: 686810
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.940.0-1.mga5
+ Revision: 588484
- update to 0.94

* Fri Oct 18 2013 umeabot <umeabot> 0.930.0-3.mga4
+ Revision: 515892
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.930.0-2.mga3
+ Revision: 374630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 27229
- mageia rebuild
- imported package perl-User-Identity


* Thu Dec 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.930.0-1mdv2010.1
+ Revision: 482076
- update to 0.93

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.920.0-1mdv2010.0
+ Revision: 401921
- rebuild using %%perl_convert_version

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92-2mdv2008.1
+ Revision: 180636
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.92-1mdv2008.0
+ Revision: 55845
- update to new version 0.92


* Fri Jan 12 2007 Andreas Hasenack <andreas@mandriva.com> 0.91-1mdv2007.0
+ Revision: 107837
- updated to version 0.91

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-User-Identity

* Sat Jul 09 2005 Andreas Hasenack <andreas@mandriva.com> 0.90-1mdk
- packaged for Mandriva

